# Package org.apache.ignite.internal.processors.service

Class Summary
GridServiceAssignments: Service per-node assignment.
GridServiceAssignmentsKey: Service configuration key.
GridServiceDeployment: Service deployment.
GridServiceDeploymentCompoundFuture: Service deployment compound future.
GridServiceDeploymentFuture: Service deployment future.
GridServiceDeploymentKey: Service configuration key.
GridServiceProcessor: Grid service processor.
GridServiceProxy<T>: Wrapper for making `Service` class proxies.
LazyServiceConfiguration: Lazy service configuration.
ServiceContextImpl: Service context implementation.
ServiceDescriptorImpl: Service descriptor.

Exception Summary
GridServiceMethodNotFoundException: Exception thrown if service is not found.
GridServiceNotFoundException: Exception thrown if service is not found.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018